Blob Blame History Raw
diff -up yelp-2.21.90/src/Makefile.in.libxul yelp-2.21.90/src/Makefile.in
--- yelp-2.21.90/src/Makefile.in.libxul	2008-01-28 22:59:48.000000000 +0100
+++ yelp-2.21.90/src/Makefile.in	2008-02-28 18:26:05.000000000 +0100
@@ -353,6 +353,7 @@ mozilla_include_subdirs = \
 yelp_CPPFLAGS = \
 	-I$(top_srcdir)								\
 	-I$(top_builddir)/src							\
+	$(MOZILLA_COMPONENT_CFLAGS)    						\
 	$(addprefix -I$(MOZILLA_INCLUDE_ROOT)/,$(mozilla_include_subdirs))      \
 	$(YELP_DEFINES)								\
 	$(AM_CPPFLAGS)
diff -up yelp-2.21.90/configure.libxul yelp-2.21.90/configure
--- yelp-2.21.90/configure.libxul	2008-01-28 22:59:38.000000000 +0100
+++ yelp-2.21.90/configure	2008-02-28 18:26:05.000000000 +0100
@@ -1597,7 +1597,7 @@ Optional Packages:
   --with-x                use the X Window System
   --with-search=basic|beagle|auto
                           turn on search support [default=auto]
-  --with-gecko[=mozilla|firefox|seamonkey|xulrunner]
+  --with-gecko[=mozilla|firefox|seamonkey|libxul]
                           Which gecko engine to use (autodetected by default)
 
 
@@ -26977,10 +26977,10 @@ fi
 gecko_cv_gecko=$with_gecko
 
 # Autodetect gecko
-_geckos="xulrunner firefox mozilla-firefox seamonkey mozilla"
+_geckos="libxul firefox mozilla-firefox seamonkey mozilla"
 if test -z "$gecko_cv_gecko"; then
 	for lizard in $_geckos; do
-		if $PKG_CONFIG --exists $lizard-xpcom; then
+		if $PKG_CONFIG --exists $lizard; then
 			gecko_cv_gecko=$lizard
 			break;
 		fi
@@ -27014,13 +27014,13 @@ case "$gecko_cv_gecko" in
 mozilla) gecko_cv_gecko_flavour=mozilla ;;
 seamonkey) gecko_cv_gecko_flavour=mozilla ;;
 *firefox) gecko_cv_gecko_flavour=toolkit ;;
-xulrunner) gecko_cv_gecko_flavour=toolkit ;;
+libxul*) gecko_cv_gecko_flavour=toolkit ;;
 esac
 
-_GECKO_INCLUDE_ROOT="`$PKG_CONFIG --variable=includedir ${gecko_cv_gecko}-xpcom`"
-_GECKO_LIBDIR="`$PKG_CONFIG --variable=libdir ${gecko_cv_gecko}-xpcom`"
-_GECKO_HOME="`$PKG_CONFIG --variable=libdir ${gecko_cv_gecko}-xpcom`"
-_GECKO_PREFIX="`$PKG_CONFIG --variable=prefix ${gecko_cv_gecko}-xpcom`"
+_GECKO_INCLUDE_ROOT="`$PKG_CONFIG --variable=includedir libxul`"
+_GECKO_LIBDIR="`$PKG_CONFIG --variable=libdir libxul`"
+_GECKO_HOME="`$PKG_CONFIG --variable=libdir libxul`"
+_GECKO_PREFIX="`$PKG_CONFIG --variable=prefix libxul`"
 
 fi # if gecko_cv_have_gecko
 
@@ -27566,7 +27566,7 @@ MOZILLA_GLUE_LIBS="$gecko_cv_glue_libs"
 
 
 case "$MOZILLA" in
-xulrunner) gecko_min_version=1.8 ;;
+libxul*) gecko_min_version=1.8 ;;
 *firefox) gecko_min_version=1.5 ;;
 *) { { echo "$as_me:$LINENO: error: $gecko_cv_gecko is not supported" >&5
 echo "$as_me: error: $gecko_cv_gecko is not supported" >&2;}
@@ -27583,12 +27583,12 @@ if test -n "$PKG_CONFIG"; then
         pkg_cv_MOZILLA_COMPONENT_CFLAGS="$MOZILLA_COMPONENT_CFLAGS"
     else
         if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\${gecko_cv_gecko}-xpcom >= \$gecko_min_version \$gecko_cv_extra_pkg_dependencies\"") >&5
-  ($PKG_CONFIG --exists --print-errors "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies") 2>&5
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\libxul >= \$gecko_min_version \$gecko_cv_extra_pkg_dependencies\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_MOZILLA_COMPONENT_CFLAGS=`$PKG_CONFIG --cflags "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies" 2>/dev/null`
+  pkg_cv_MOZILLA_COMPONENT_CFLAGS=`$PKG_CONFIG --cflags libxul libxul-unstable 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -27601,12 +27601,12 @@ if test -n "$PKG_CONFIG"; then
         pkg_cv_MOZILLA_COMPONENT_LIBS="$MOZILLA_COMPONENT_LIBS"
     else
         if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\${gecko_cv_gecko}-xpcom >= \$gecko_min_version \$gecko_cv_extra_pkg_dependencies\"") >&5
-  ($PKG_CONFIG --exists --print-errors "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies") 2>&5
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\libxul >= \$gecko_min_version \$gecko_cv_extra_pkg_dependencies\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_MOZILLA_COMPONENT_LIBS=`$PKG_CONFIG --libs "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies" 2>/dev/null`
+  pkg_cv_MOZILLA_COMPONENT_LIBS=`$PKG_CONFIG --libs "libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies" 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -27625,14 +27625,14 @@ else
         _pkg_short_errors_supported=no
 fi
         if test $_pkg_short_errors_supported = yes; then
-	        MOZILLA_COMPONENT_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies"`
+	        MOZILLA_COMPONENT_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies"`
         else
-	        MOZILLA_COMPONENT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies"`
+	        MOZILLA_COMPONENT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$MOZILLA_COMPONENT_PKG_ERRORS" >&5
 
-	{ { echo "$as_me:$LINENO: error: Package requirements (${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies) were not met:
+	{ { echo "$as_me:$LINENO: error: Package requirements (libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies) were not met:
 
 $MOZILLA_COMPONENT_PKG_ERRORS
 
@@ -27643,7 +27643,7 @@ Alternatively, you may set the environme
 and MOZILLA_COMPONENT_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 " >&5
-echo "$as_me: error: Package requirements (${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies) were not met:
+echo "$as_me: error: Package requirements (libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies) were not met:
 
 $MOZILLA_COMPONENT_PKG_ERRORS